Bug 71787 - connect via ftp with ipv6-address ( local and global )
connect via ftp with ipv6-address ( local and global )
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 05:34 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 11:49:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-19 05:34:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT; ICN - 000407; ICN - 
i0502; ICN - 000714)

Description of problem:
When i want to connect to a ftp-server with ipv6-addresses, it4s a difference 
if i use the global or the link-local address. When i use the link-local 
address, i get the return "Invalid argument", when i use the global address, 
itB4s working. In my example i connect to local ftp-server of the machine, 
where i work.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ftp <link-lokal-ipv6-address>
2.
3.
	

Actual Results:  no ftp connection:
Invalid argument

Expected Results:  I should get a ftp connection.

Additional info:

[root@host4 root]# ftp fe80::204:76ff:fe24:e84a
ftp: connect: Invalid argument
ftp> quit


[root@host4 root]#  ftp 3ffe:b80:ffc:1:204:76ff:fe24:e84a
Connected to 3ffe:b80:ffc:1:204:76ff:fe24:e84a
(3ffe:b80:ffc:1:204:76ff:fe24:e84a).
220 host4 FTP server (Version wu-2.6.2-5) ready.
Name (3ffe:b80:ffc:1:204:76ff:fe24:e84a:root): tsmc
331 Password required for tsmc.
Password:
230 User tsmc logged in.  Access restrictions apply.
Remote system type is UNIX.
Using binary mode to transfer files.
Comment 1 Thomas Woerner 2004-01-27 11:49:24 EST
Please use vsftpd instead. wu-ftpd is not maintained anymore.

Note You need to log in before you can comment on or make changes to this bug.